// http://www.garyc40.com/2010/03/how-to-make-shortcodes-user-friendly/
// closure to avoid namespace collision
(function(){
	// creates the plugin
	tinymce.create('tinymce.plugins.pmhlshrbuttons', {
		init : function(ed, url) {
			tinymce.plugins.pmhlshrbuttons.theurl = url;
			
		/* Register commands
		ed.addCommand('mcebutton', function() {
			ed.windowManager.open({
				file : tinymce.plugins.pmhlshrbuttons.theurl + '/tbp-qte-shortcode-dialog.php', // file that contains HTML for our modal window
				width : 220 + parseInt(ed.getLang('button.delta_width', 0)), // size of our window
				height : 240 + parseInt(ed.getLang('button.delta_height', 0)), // size of our window
				inline : 1
			}, {
				plugin_url : tinymce.plugins.pmhlshrbuttons.theurl
			});
		});*/
		 
		// Register buttons
		ed.addButton('pmhlshrbuttons', {title : 'Insert Quote', cmd : 'mcebutton', image: tinymce.plugins.pmhlshrbuttons.theurl + '/quote.png',
			onclick : function() {
				ed.selection.setContent('[hiliteshare]' + ed.selection.getContent() + '[/hiliteshare]');			
			}
		});
		},
		
		getInfo : function() {
			return {
				longname : 'Insert Quote',
				author : 'Lynette Chandler',
				authorurl : 'http://techbasedmarketing.com',
				infourl : 'http://techbasedmarketing.com',
				version : tinymce.majorVersion + "." + tinymce.minorVersion
			};
		}
		
	});
	
	// registers the plugin. DON'T MISS THIS STEP!!!
	tinymce.PluginManager.add('pmhlshrbuttons', tinymce.plugins.pmhlshrbuttons);
	
})();