// http://www.garyc40.com/2010/03/how-to-make-shortcodes-user-friendly/
// closure to avoid namespace collision
(function(){
	// creates the plugin
	tinymce.create('tinymce.plugins.pmhlshrbuttons', {
		init : function(ed, url) {
			tinymce.plugins.pmhlshrbuttons.theurl = url;
		 
		// Register buttons
		ed.addButton('pmhlshrbuttons', {
			title : 'Insert Featured Quote',
			type : 'button',
			icon : 'pm_hlshr pm-hlshr-icon-chat',
			//image: tinymce.plugins.pmhlshrbuttons.theurl + '/quote.png',
			onclick : function() {
				ed.selection.setContent('[hiliteshare]' + ed.selection.getContent() + '[/hiliteshare]');			
			}
		});
		},
		
		getInfo : function() {
			return {
				longname : 'Insert Quote',
				author : 'Lynette Chandler',
				authorurl : 'http://techbasedmarketing.com',
				infourl : 'http://techbasedmarketing.com',
				version : tinymce.majorVersion + "." + tinymce.minorVersion
			};
		}
		
	});
	
	// registers the plugin. DON'T MISS THIS STEP!!!
	tinymce.PluginManager.add('pmhlshrbuttons', tinymce.plugins.pmhlshrbuttons);
	
})();