<?php
/*
Plugin Name: Hilite and Share
Plugin URI: http://kvsocial.com/
Description: Hilite &amp; Share Gives Your Readers A New &amp; Easy Way To Share Your Best Content
Version: 9.1.0.3
Author: Neil Napier
Author URI: http://kvsocial.com/
Stable tag: 9.1.0.3
*/
// Define constants
if(!defined('__DIR__')) {
    define( 'PM_HLSHR_DIR', plugin_dir_url( __FILE__) );
    define( 'PM_HLSHR_PATH', dirname( __FILE__) );
} else {
	define( 'PM_HLSHR_DIR', WP_PLUGIN_URL.'/'.basename(__DIR__) );
	define( 'PM_HLSHR_PATH', WP_PLUGIN_DIR.'/'.basename(__DIR__) );
}
define( 'PM_HLSHR_WP_DIR', get_bloginfo('wpurl') );
define( 'PM_HLSHR_PLUGIN_NAME', 'Hilite and Share' );
define( 'PM_HLSHR_VERSION', '9.1.0.3' );
$pm_hlshr_opts = get_option( 'pm_hlshr_options' );

register_activation_hook( __FILE__, 'pm_hlshr_options_activate' );
function pm_hlshr_options_activate() {

 $pm_hlshr_options = array( 
 	'enable_hilite' => 1,
	'border' => 'solid',
	'border_width' => '2',
	'border_color' => '#DDDDDD',
	'color' => '#EEEEEE',
	'boxstyle' => '',
	'boxwidth' => '',
	'via' => '',
	'usefb' => '',
	'fbappid' => '',
	'fbtitle' => 'Great point!',
	'del_opt_settings' =>  0,
  );
  if( !get_option('pm_hlshr_options') ){
	update_option('pm_hlshr_options', $pm_hlshr_options );
  }

}

//register_deactivation_hook( __FILE__, 'pm_hlshr_deactivate' );
function pm_hlshr_deactivate() {

}

require_once(PM_HLSHR_PATH.'/modules/settings.php');
require_once(PM_HLSHR_PATH.'/modules/shortcode.php');
require_once(PM_HLSHR_PATH.'/modules/hooks.php');
require_once(PM_HLSHR_PATH.'/modules/meta_box.php');