<?php 
add_shortcode( 'hiliteshare', 'pm_hlshr_shortcode_handler' );
function pm_hlshr_shortcode_handler( $atts, $content = null ) {
	// Get pm_hlshr_default options
	$pm_hlshr_default = get_option('pm_hlshr_options');
	global $post;
	$pm_hlshr_fb_enqueued = ( wp_script_is( 'pm_hlshr_fb_connect', 'enqueued' ) ) ? 1 : 0 ;
	
	// Enqueue styles and scripts
	if( $pm_hlshr_fb_enqueued == 1 ){
	} else {
		wp_enqueue_script('pm_hlshr_twitter');
	}
		wp_enqueue_style( 'pm_hlshr_css_front' );
	
	// Twitter data
	$link = wp_get_shortlink($post->ID);
	$length = 140 - strlen( wp_get_shortlink() );
	$stripcontent = strip_tags($content);
	$shortcontent = ( strlen( $stripcontent ) > $length ) ? substr( $stripcontent,0,$length ) : $stripcontent;
	$border = ( !empty( $pm_hlshr_default['border'] ) ) ? ' border-style: '.$pm_hlshr_default['border'].';' : '' ;
	$border_width = ( ( !empty( $pm_hlshr_default['border_width'] ) && ( $pm_hlshr_default['border'] != 'none' ) ) ) ? ' border-width: '.$pm_hlshr_default['border_width'].'px;' : '' ;
	$border_color = ( ( !empty( $pm_hlshr_default['border_color'] ) ) && ( $pm_hlshr_default['border'] != 'none' ) ) ? ' border-color: '.$pm_hlshr_default['border_color'].';' : '' ;
	$bgcolor = ( !empty( $pm_hlshr_default['bgcolor'] ) ) ? ' background-color: '.$pm_hlshr_default['bgcolor'].';' : '' ;
	$boxstyle = ( !empty( $pm_hlshr_default['boxstyle'] ) ) ? ' '.$pm_hlshr_default['boxstyle'] : '' ;
	$boxwidth = ( !empty( $pm_hlshr_default['boxwidth'] ) ) ? ' width: '.$pm_hlshr_default['boxwidth'].'%;' : '' ;
	$via = ( !empty( $pm_hlshr_default['via'] ) ) ? stripslashes( $pm_hlshr_default['via'] ) : '' ;
	$usefb = ( !empty( $pm_hlshr_default['usefb'] ) ) ? stripslashes( $pm_hlshr_default['usefb'] ) : '';
	$fbappid = ( !empty( $pm_hlshr_default['fbappid'] ) && ctype_digit($pm_hlshr_default['fbappid']) == 1 ) ? $pm_hlshr_default['fbappid'] : '' ;
	$fbtitle = ( !empty( $pm_hlshr_default['fbtitle'] ) ) ? stripslashes( $pm_hlshr_default['fbtitle'] ) : 'Great point!';

	$pm_hlshr_display ='';
	$pm_hlshr_display .= '<div class="pm-hlshr-quote'.$boxstyle.'" style="'.$border.$border_width.$border_color.$bgcolor.$boxwidth.'">'.$content;
	$pm_hlshr_display .= '<div class="pm-hlshr-share"><p>Share This</p>';
	if ( $usefb == 1) {
		if( empty($pm_hlshr_fb_enqueued) ) {
			$pm_hlshr_display .= '<script src="//connect.facebook.net/en_US/all.js"></script>';
		}
		$pm_hlshr_display .= '<a class="pm-hlshr-share-button" style="cursor: pointer;" onclick="postToFeed(); return false;"><img src="'.PM_HLSHR_DIR.'modules/images/Facebook_48x48.PNG" alt="Share on Facebook" title="Share on Facebook" width="24" height="24"></a><script>
			FB._initialized = false;
			  FB.init({appId: "'.$fbappid.'", status: true, cookie: true});
			  function postToFeed() {
				FB.ui(
					{
						method: "feed",
						name: "'.$fbtitle.'",
						link: "'.$link.'",
						picture: "",
						description: "'.$shortcontent.'"
					},
					function(response) {
					}
				);
			  }
			</script>';
	}
	
	$pm_hlshr_display .= '<a class="pm-hlshr-share-button" href="https://twitter.com/intent/tweet?url='.urlencode($link).'&via='.$via.'&text='.$shortcontent.'"><img src="'.PM_HLSHR_DIR.'modules/images/Twitter_48x48.PNG" alt="Tweet this" title="Tweet this" width="24" height="24"></a>';
	$pm_hlshr_display .= '</div></div>';
	return $pm_hlshr_display;
}